curl --request PATCH \
--url https://api.open.cx/actions/{action_id} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"api_endpoint": "<string>",
"request_type": "GET",
"operation_id": "<string>",
"payload": {
"base_url": "<string>",
"path": "<string>",
"method": "<string>",
"operationId": "<string>",
"summary": "<string>",
"description": "<string>",
"parameters": [
{
"name": "<string>",
"in": "query",
"description": "<string>",
"required": true,
"schema": {}
}
],
"requestBody": {
"content": {},
"description": "<string>",
"required": true
},
"responses": {}
},
"enabled_on_channel": {
"channels": [
"web"
]
},
"pinned": true,
"tags": [
"<string>"
],
"require_form_submission": true
}
'{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"api_endpoint": "<string>",
"request_type": "<string>",
"operation_id": "<string>",
"payload": {
"base_url": "<string>",
"path": "<string>",
"method": "<string>",
"operationId": "<string>",
"summary": "<string>",
"description": "<string>",
"parameters": [
{
"name": "<string>",
"in": "query",
"description": "<string>",
"required": true,
"schema": {}
}
],
"requestBody": {
"content": {},
"description": "<string>",
"required": true
},
"responses": {}
},
"status": "<string>",
"pinned": true,
"tags": [
"<string>"
],
"enabled_on_channel": {
"channels": [
"web"
]
},
"is_handoff_like": true,
"require_form_submission": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Update an existing action. Only provided fields are changed.
curl --request PATCH \
--url https://api.open.cx/actions/{action_id} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"api_endpoint": "<string>",
"request_type": "GET",
"operation_id": "<string>",
"payload": {
"base_url": "<string>",
"path": "<string>",
"method": "<string>",
"operationId": "<string>",
"summary": "<string>",
"description": "<string>",
"parameters": [
{
"name": "<string>",
"in": "query",
"description": "<string>",
"required": true,
"schema": {}
}
],
"requestBody": {
"content": {},
"description": "<string>",
"required": true
},
"responses": {}
},
"enabled_on_channel": {
"channels": [
"web"
]
},
"pinned": true,
"tags": [
"<string>"
],
"require_form_submission": true
}
'{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"api_endpoint": "<string>",
"request_type": "<string>",
"operation_id": "<string>",
"payload": {
"base_url": "<string>",
"path": "<string>",
"method": "<string>",
"operationId": "<string>",
"summary": "<string>",
"description": "<string>",
"parameters": [
{
"name": "<string>",
"in": "query",
"description": "<string>",
"required": true,
"schema": {}
}
],
"requestBody": {
"content": {},
"description": "<string>",
"required": true
},
"responses": {}
},
"status": "<string>",
"pinned": true,
"tags": [
"<string>"
],
"enabled_on_channel": {
"channels": [
"web"
]
},
"is_handoff_like": true,
"require_form_submission": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Action display name
What this action does
The full API endpoint URL to call
HTTP method
GET, POST, PUT, PATCH, DELETE Unique operation ID (auto-generated from name if omitted)
OpenAPI-style operation spec: parameters, requestBody, responses, etc.
Show child attributes
Channel restrictions (defaults to web only)
Show child attributes
Whether to pin this action prominently
Tags for organizing actions
Require the user to submit a form before executing
Default Response
Unique action ID
Action display name
What this action does
The API endpoint URL this action calls
HTTP method (GET, POST, PUT, PATCH, DELETE)
Unique operation ID used to reference this action
OpenAPI-style operation spec defining parameters, request body, and responses
Show child attributes
Action status (e.g. "live")
Whether this action is pinned prominently
Tags for organizing actions
Channel restrictions
Show child attributes
Whether this action behaves like a handoff to a human agent
Whether a form must be submitted before the action executes
When the action was created
When the action was last updated
Was this page helpful?